Skip to Content
kosemdocs
ReferenceAPISecrets

Delete secret in project

Deletes a secret and destroys its versions. An organization's secret isn't deleted while projects have it: stop sharing it with them first. A project can't delete a secret its organization shares with it.

DELETE
/v1/projects/{project}/secrets/{secret}

Deletes a secret and destroys its versions.

An organization's secret isn't deleted while projects have it: stop sharing it with them first. A project can't delete a secret its organization shares with it.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$
secret*string

The secret's ID.

Match^sec_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

No Content

Example Request
curl -X DELETE 'https://api.kosem.ai/v1/projects/string/secrets/string'
Example Response
Empty